CREATE TABLE [dbo].[UserApi] (
   [InstallationId] [varchar](100) NOT NULL ,
   [VCC] [varchar](50) NOT NULL ,
   [UserApi] [varchar](50) NOT NULL ,
   [Pin] [varchar](250) NOT NULL ,
   [FailedTry] [int] NOT NULL 
      CONSTRAINT [DF_UserApi_FailedTry] DEFAULT ((0))  ,
   [IsLocked] [bit] NOT NULL 
      CONSTRAINT [DF_UserApi_IsLocked] DEFAULT ((0))  ,
   [CreatedDate] [datetime] NULL 
      CONSTRAINT [DF_UserApi_CreatedDate] DEFAULT (getutcdate())  ,
   [CreatedByUserId] [varchar](50) NULL ,
   [CreatedByRemoteUser] [bit] NOT NULL 
      CONSTRAINT [DF_UserApi_CreatedByRemoteUser] DEFAULT ((1))  ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [LastModifiedByRemoteUser] [bit] NULL   ,
   [TimeStamp] [datetime] NULL   

   ,CONSTRAINT [PK_UserApi] PRIMARY KEY CLUSTERED ([InstallationId], [VCC], [UserApi])
)


GO
