SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetApiUsers] (
	@VCC Varchar(50) = NULL,		@SearchCriteria Varchar(50) = NULL,			@SearchExpression Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[InstallationId]					'installationId',
		[VCC] 								'vcc',
		[UserApi] 						    'userApi',
		[Pin] 							    'pin',
		[IsLocked]							'isLocked',
		[CreatedDate]						'createdDate',
		[CreatedByUserId]					'createdByUserId',
		[CreatedByRemoteUser]				'createdByRemoteUser',
		[LastModifiedDate]					'lastModifiedDate',
		[LastModifiedByUserId]				'lastModifiedByUserId',
		[LastModifiedByRemoteUser]			'lastModifiedByRemoteUser'
	FROM [UserApi] (NOLOCK)
	WHERE [VCC] = @VCC
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
