CREATE TABLE [dbo].[AccountSubAccountVCCDetailedBalance] (
   [PlatformHash] [varchar](100) NULL ,
   [ID] [varchar](100) NOT NULL ,
   [InstallationId] [varchar](50) NULL ,
   [AccountId] [varchar](50) NULL ,
   [SubAccountId] [varchar](50) NULL ,
   [VCC] [varchar](50) NULL ,
   [SystemService] [varchar](50) NULL ,
   [CountableBalance] [decimal](18,5) NULL 
      CONSTRAINT [DF_AccountSubAccountVCCDetailedBalance_CountableBalance] DEFAULT ((0)) ,
   [AvailableBalance] [decimal](18,5) NULL 
      CONSTRAINT [DF_AccountSubAccountVCCDetailedBalance_AvailableBalance] DEFAULT ((0)) ,
   [RetainedBalance] [decimal](18,5) NULL 
      CONSTRAINT [DF_AccountSubAccountVCCDetailedBalance_RetainedBalance] DEFAULT ((0)) ,
   [IsLocked] [bit] NULL 
      CONSTRAINT [DF_AccountSubAccountVCCDetailedBalance_IsLocked] DEFAULT ((0))  ,
   [CreatedDate] [datetime] NULL 
      CONSTRAINT [DF_AccountSubAccountVCCDetailedBalance_CreatedDate] DEFAULT (getutcdate())  ,
   [CreatedByUserId] [varchar](50) NULL ,
   [CreatedByRemoteUser] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [LastModifiedByRemoteUser] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   

   ,CONSTRAINT [PK_AccountSubAccountVCCDetailedBalance] PRIMARY KEY CLUSTERED ([ID])
)


GO
