CREATE TABLE [dbo].[AccountSubAccountVCCGeneralBalance] (
   [PlatformHash] [varchar](100) NULL ,
   [ID] [varchar](100) NOT NULL 
      CONSTRAINT [DF_AccountSubAccountVCCGeneralBalance_ID] DEFAULT (newid()),
   [InstallationId] [varchar](50) NULL ,
   [AccountId] [varchar](50) NULL ,
   [SubAccountId] [varchar](50) NULL ,
   [VCC] [varchar](50) NULL ,
   [TotalBalance] [decimal](18,5) NULL 
      CONSTRAINT [DF_AccountSubAccountVCCGeneralBalance_TotalBalance] DEFAULT ((0)) ,
   [AssignedBalance] [decimal](18,5) NULL 
      CONSTRAINT [DF_AccountSubAccountVCCGeneralBalance_AssignedBalance] DEFAULT ((0)) ,
   [AvailableBalance] [decimal](18,5) NULL 
      CONSTRAINT [DF_AccountSubAccountVCCGeneralBalance_AvailableBalance] DEFAULT ((0)) ,
   [IsLocked] [bit] NULL 
      CONSTRAINT [DF_AccountSubAccountVCCGeneralBalance_IsLocked] DEFAULT ((0))  ,
   [IsFinished] [bit] NULL 
      CONSTRAINT [DF_AccountSubAccountVCCGeneralBalance_IsFinished] DEFAULT ((0))  ,
   [CreatedDate] [datetime] NULL 
      CONSTRAINT [DF_AccountSubAccountVCCGeneralBalance_CreatedDate] DEFAULT (getutcdate())  ,
   [CreatedByUserId] [varchar](50) NULL ,
   [CreatedByRemoteUser] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [LastModifiedByRemoteUser] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   

   ,CONSTRAINT [PK_AccountSubAccountVCCGeneralBalance] PRIMARY KEY CLUSTERED ([ID])
)


GO
